# Interface NgModelOptions

Configuration for ngModel behavior.

interface NgModelOptions {
allowInvalid?: boolean;
debounce?: number | Record<string, number>;
getterSetter?: boolean;
timeSecondsFormat?: string;
timeStripZeroSeconds?: boolean;
timezone?: string;
updateOn?: string;
}

- Defined in src/interface.ts:280

##### Index

### Properties

allowInvalid?
debounce?
getterSetter?
timeSecondsFormat?
timeStripZeroSeconds?
timezone?
updateOn?

## Properties

### `Optional` allowInvalid

allowInvalid?: boolean

Whether to allow invalid values

- Defined in src/interface.ts:286

### `Optional` debounce

debounce?: number | Record<string, number>

Delay in milliseconds or event-specific debounce times

- Defined in src/interface.ts:284

### `Optional` getterSetter

getterSetter?: boolean

Enables getter/setter style ngModel

- Defined in src/interface.ts:288

### `Optional` timeSecondsFormat

timeSecondsFormat?: string

Time display format including seconds

- Defined in src/interface.ts:292

### `Optional` timeStripZeroSeconds

timeStripZeroSeconds?: boolean

Whether to remove trailing :00 seconds

- Defined in src/interface.ts:294

### `Optional` timezone

timezone?: string

Timezone used for Date objects

- Defined in src/interface.ts:290

### `Optional` updateOn

updateOn?: string

Space-separated event names that trigger updates

- Defined in src/interface.ts:282